using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
	public interface ISearchHostManager
	{
		/// <summary>
		/// 开始搜索主机
		/// </summary>
		/// <param name="handler"></param>
		void Start(SearchHostResultHandler handler);

		/// <summary>
		/// 发送搜索主机命令
		/// </summary>
		void Start();

		/// <summary>
		/// 当前搜索主机用户
		/// </summary>
		string User { get; set; }

		/// <summary>
		/// 是否正在搜索主机
		/// </summary>
		bool Searching { get; }

		/// <summary>
		/// 停止搜索主机
		/// </summary>
		void Stop();

        /// <summary>
        /// 更新搜索主机网关、子网掩码、版本号等信息
        /// </summary>
        /// <returns></returns>
        bool UpdateHost(SearchHost host, int hotelID);
	}
}
